export declare class Prompt {
    private readonly _text;
    constructor(_text?: string);
    text(text: string): Prompt;
    block(text: string): Prompt;
    json<T>(obj: T): Prompt;
    line(builder: ((prompt: Prompt) => Prompt | string) | string): Prompt;
    toString(): string;
}
